List phone numbers excluded by a saved view
curl --request GET \
--url https://api-v2.watchcollect.com/v2/views/{view_id}/blocked-phones \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/views/{view_id}/blocked-phones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/views/{view_id}/blocked-phones"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"blocked_phones": [
"<string>"
],
"total": 123
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}views
List phone numbers excluded by a saved view
GET
/
v2
/
views
/
{view_id}
/
blocked-phones
List phone numbers excluded by a saved view
curl --request GET \
--url https://api-v2.watchcollect.com/v2/views/{view_id}/blocked-phones \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/views/{view_id}/blocked-phones', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/views/{view_id}/blocked-phones"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"blocked_phones": [
"<string>"
],
"total": 123
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}